Products
Manage the brand's product catalog.
GET
/brands/:slug/productsList all products.
Responses
200Products
Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup
curl -X GET \ "$CRUMBLESS_API_BASE_URL/brands/:slug/products" \ -H "Authorization: Bearer $CRUMBLESS_API_TOKEN"
POST
/brands/:slug/productsAdd a new product.
Request Body
{ "title": "Gourmet Pizza", "pricing": "€14" }Responses
201Created
Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup
curl -X POST \
"$CRUMBLESS_API_BASE_URL/brands/:slug/products" \
-H "Authorization: Bearer $CRUMBLESS_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "title": "Gourmet Pizza", "pricing": "€14" }'PUT
/brands/:slug/products/:idUpdate a product.
Request Body
{ "title": "Gourmet Pizza v2", "pricing": "€16" }Responses
200Updated
Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup
curl -X PUT \
"$CRUMBLESS_API_BASE_URL/brands/:slug/products/:id" \
-H "Authorization: Bearer $CRUMBLESS_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "title": "Gourmet Pizza v2", "pricing": "€16" }'DELETE
/brands/:slug/products/:idDelete a product.
Responses
200Deleted
Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup
curl -X DELETE \ "$CRUMBLESS_API_BASE_URL/brands/:slug/products/:id" \ -H "Authorization: Bearer $CRUMBLESS_API_TOKEN"